package com.ankaibei.workFlow.webadmin.ankaibei.service;



import com.ankaibei.workFlow.webadmin.ankaibei.entity.TaskInfoEntity;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.ResMsg;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.TaskInfoVo;

import java.util.List;

/**
 * @author
 * @version 1.0
 * @description:
 * @date 2022/9/14 17:18
 */
public interface TaskInfoService {
    ResMsg findTaskInfo(Integer pageIndex, Integer pageSize, TaskInfoEntity taskInfoEntity);

    ResMsg addTaskInfo(TaskInfoEntity taskInfoEntity, List<Long> taskParticipant);

    ResMsg deleteTask(List<TaskInfoVo> taskInfoVos);

    ResMsg findTaskById(TaskInfoVo taskInfoVo);

    ResMsg performTask(TaskInfoEntity taskInfoEntity);

}
